Subject: bug#35919: closed (Re: bug#35919: recutils package does not install emacs rec-mode)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 10 Jun 2019 04:11:02 +0000

Your bug report

#35919: recutils package does not install emacs rec-mode

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
35919: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=35919
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#35919: recutils package does not install emacs rec-mode
From: Oleg Pykhalov <[email-masked]>
To: Jack Hill <[email-masked]>
Cc: [email-masked]
Date: Mon, 10 Jun 2019 07:09:54 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Jack Hill <[email-masked]> writes:

> On Sun, 9 Jun 2019, Oleg Pykhalov wrote:
>
>> WDYT about creating a new package recipe in
>> ‘gnu/packages/emacs-xyz.scm’, which inherits ‘recutils’ and sets build
>> system to ‘emacs-build-system’?  We will probably need to change
>> directory after unpack phase in this case, but we will not need to
>> maintain Emacs lisp files compilation manually.
>
> I have prepared the following patch implementing this suggestion
> (thanks again, I'm much happier with this). I ended up putting it in
> databases.scm rather than emacs-xyz.scm so that it can live with the
> recutls definition, and not run afoul of the advice by Ludo’ in [0],
> "The lesson is: when inheriting from a package, do it in the module
> where it’s defined."
> [0] https://issues.guix.gnu.org/issue/35154#5

Ah, sorry about that - I forgot this.

> I have also set the inputs and native inputs to the empty lists,
> because as far as I can tell, the emacs mode does not depend on
> anything outside of the emacs-build-system.

OK, I fixed a typo in emacs-recutils synopsis and formatted Git
messages.  You could look for messages examples with a handy command
‘vc-print-log’ in Emacs which is binded to ‘C-x v l’ by default.  Also I
modified a description a little bit for better searching if you don't
mind.  Pushed as 535a69e9e5aae2f59470caf900ece56f83ee6e36 to master.

Thanks,
Oleg.

Subject: recutils package does not install emacs rec-mode
From: Jack Hill <[email-masked]>
To: [email-masked]
Date: Sun, 26 May 2019 14:55:53 -0400 (EDT)
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Guix,

Emacs is listed as a native imput of the recutils package, but the emacs 
rec-mode is not install (it is found in the etc directory of the source).

Best,
Jack

jackhill@alperton ~$ guix describe
Generation 33	May 23 2019 21:23:03	(current)
   guix e26d628
     repository URL: https://git.savannah.gnu.org/git/guix.git
     branch: master
     commit: e26d628b0fabf5a0aa7c4164a9558c66c61e02ab
jackhill@alperton ~$ cd $(guix build recutils)
jackhill@alperton /gnu/store/163pczynvjfq4l6p7nam5sx9wbz07bgz-recutils-1.8$ find .
.
./lib
./lib/librec.so.1.0.0
./lib/testrec.so.0
./lib/readrec.so.0
./lib/readrec.so.0.0.0
./lib/testrec.la
./lib/readrec.la
./lib/readrec.so
./lib/librec.so.1
./lib/testrec.so
./lib/librec.la
./lib/testrec.a
./lib/readrec.a
./lib/librec.so
./lib/testrec.so.0.0.0
./lib/librec.a
./share
./share/doc
./share/doc/recutils-1.8
./share/doc/recutils-1.8/COPYING
./share/locale
./share/locale/vi
./share/locale/vi/LC_MESSAGES
./share/locale/vi/LC_MESSAGES/recutils.mo
./share/locale/sr
./share/locale/sr/LC_MESSAGES
./share/locale/sr/LC_MESSAGES/recutils.mo
./share/locale/fi
./share/locale/fi/LC_MESSAGES
./share/locale/fi/LC_MESSAGES/recutils.mo
./share/locale/pt_BR
./share/locale/pt_BR/LC_MESSAGES
./share/locale/pt_BR/LC_MESSAGES/recutils.mo
./share/locale/de
./share/locale/de/LC_MESSAGES
./share/locale/de/LC_MESSAGES/recutils.mo
./share/locale/uk
./share/locale/uk/LC_MESSAGES
./share/locale/uk/LC_MESSAGES/recutils.mo
./share/locale/fr
./share/locale/fr/LC_MESSAGES
./share/locale/fr/LC_MESSAGES/recutils.mo
./share/locale/es
./share/locale/es/LC_MESSAGES
./share/locale/es/LC_MESSAGES/recutils.mo
./share/locale/sv
./share/locale/sv/LC_MESSAGES
./share/locale/sv/LC_MESSAGES/recutils.mo
./share/locale/nl
./share/locale/nl/LC_MESSAGES
./share/locale/nl/LC_MESSAGES/recutils.mo
./share/man
./share/man/man1
./share/man/man1/recdel.1.gz
./share/man/man1/rec2csv.1.gz
./share/man/man1/recfmt.1.gz
./share/man/man1/recinf.1.gz
./share/man/man1/recfix.1.gz
./share/man/man1/recins.1.gz
./share/man/man1/recsel.1.gz
./share/man/man1/recset.1.gz
./share/man/man1/csv2rec.1.gz
./share/info
./share/info/recutils.info.gz
./share/info/rec-mode.info.gz
./share/recutils
./share/recutils/etc
./share/recutils/etc/FSD.rec
./include
./include/rec.h
./bin
./bin/recfmt
./bin/recins
./bin/recfix
./bin/recdel
./bin/rec2csv
./bin/recset
./bin/recinf
./bin/recsel
./bin/csv2rec